// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// Sewer Glue

#include		"Intro.hpp"

bool			hbs::Intro::Start(hbs::SewerGlue		&_sg)
{
  int			i;
 
  sg = &_sg;
  for (i = FIRST_RESSOURCE; i < LAST_RESSOURCE; ++i)
    if (ressources[i].loadFromFile(ressources_file[i]) == false)
      return (false);
    else
      sprites[i].setTexture(ressources[i]);

  jingle.openFromFile("./res/jingle.ogg");

  Reset();
  return (true);
}

